Skip to main content
POST
/
api
/
v1
/
calendars
/
{calendarId}
/
schedules
Create a schedule
curl --request POST \
  --url https://prod.featherhq.com/api/v1/calendars/{calendarId}/schedules \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "timezone": "<string>",
  "name": "Default",
  "isDefault": false,
  "availability": []
}
'
import requests

url = "https://prod.featherhq.com/api/v1/calendars/{calendarId}/schedules"

payload = {
"timezone": "<string>",
"name": "Default",
"isDefault": False,
"availability": []
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({timezone: '<string>', name: 'Default', isDefault: false, availability: []})
};

fetch('https://prod.featherhq.com/api/v1/calendars/{calendarId}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "calendarId": "<string>",
  "name": "<string>",
  "timezone": "<string>",
  "isDefault": true,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "availabilities": [
    {
      "id": "<string>",
      "days": [
        3
      ],
      "startTime": 720,
      "endTime": 720,
      "date": "<string>"
    }
  ]
}
{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}
{
"status": 404,
"message": "Not found",
"code": "NOT_FOUND",
"success": false
}
{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}

Authorizations

X-API-Key
string
header
required

Path Parameters

calendarId
string
required

Body

application/json
timezone
string
required
name
string
default:Default
Required string length: 1 - 255
isDefault
boolean
default:false
availability
object[]

Response

Schedule created

id
string
required
calendarId
string
required
name
string
required
timezone
string
required
isDefault
boolean
required
createdAt
string
required
updatedAt
string
required
availabilities
object[]
required